Bug 550277 - Review Request: x2goclient-cli - A command-line client for the x2go system
Review Request: x2goclient-cli - A command-line client for the x2go system
Status: CLOSED DUPLICATE of bug 969212
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-24 05:56 EST by Fabian Affolter
Modified: 2013-05-30 18:07 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-30 18:07:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pahan: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-12-24 05:56:27 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/x2goclient-cli.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/x2goclient-cli-3.0.1-1.1.2.fc12.src.rpm

Project URL: http://www.x2go.org

Description:
x2goclient CLI is a commandline client which enables you to connect to a
x2go system. The client offers you the possibility to setup own clients,
programs and ideas.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1889710

rpmlint output:
[fab@localhost noarch]$ rpmlint x2goclient-cli-3.0.1-1.1.2.fc12.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@localhost SRPMS]$ rpmlint x2goclient-cli-3.0.1-1.1.2.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Thomas Spura 2009-12-24 12:39:38 EST
Does it make sense to package the client without the server?
Or is it also on the way?

A few other comments:

- License is GPLv2+ and not GPLv2 only

- Could you explain your strange release number?
  Currently it's 1.1.2. The first 1 seems to be your 'bump the release' thing, if you change something and the last 1.2 is upstreams' subversion -> 3.0.1-*1.2*

  Shouldn't this be swaped?

  Current version is      3.0.1-1.1.2,
  if you change something 3.0.1-2.1.2.
  New version upstream    3.0.1-1.1.3

  If swaped:
  Current version is      3.0.1-1.2.1,
  if you change something 3.0.1-1.2.2.
  New version upstream    3.0.1-1.3.1


  If not swaped, your changed version is later than the new version
  ( or I didn't understand, what you wanted to do ;) )
Comment 2 Susi Lehtola 2009-12-25 05:16:53 EST
(In reply to comment #1)
>   Shouldn't this be swaped?
> 
>   Current version is      3.0.1-1.1.2,
>   if you change something 3.0.1-2.1.2.
>   New version upstream    3.0.1-1.1.3

The current numbering system is correct, check 
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Post-Release_packages

i.e. when upstream releases 3.0.1-1.3, you bump the release number to 2 so that you get 3.0.1-2.1.3 as the new rpm version-release.
Comment 3 Thomas Spura 2009-12-25 08:59:50 EST
(In reply to comment #2)
> (In reply to comment #1)
> >   Shouldn't this be swaped?
> > 
> >   Current version is      3.0.1-1.1.2,
> >   if you change something 3.0.1-2.1.2.
> >   New version upstream    3.0.1-1.1.3
> 
> The current numbering system is correct, check 
> http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Post-Release_packages


This link to Post-Release_packages applies to 'Non-Numeric Version in Release'.

If you don't know the .spec and the upstream version naming, you can't know what is meant by this long version number, if you just see 3.0.1-1.1.2.

Usualy the last number is the 'relese bump number'. This destroys anything...

-1, for applying Non-Numberic Version guidelines to this Numberic Version...
Comment 4 Mamoru TASAKA 2009-12-25 10:57:04 EST
(In reply to comment #1)
> Does it make sense to package the client without the server?
> Or is it also on the way?
> 
> A few other comments:
> 
> - License is GPLv2+ and not GPLv2 only
> 
> - Could you explain your strange release number?
>   Currently it's 1.1.2. The first 1 seems to be your 'bump the release' thing,
> if you change something and the last 1.2 is upstreams' subversion ->
> 3.0.1-*1.2*
> 
>   Shouldn't this be swaped?
> 
>   Current version is      3.0.1-1.1.2,
>   if you change something 3.0.1-2.1.2.
>   New version upstream    3.0.1-1.1.3
> 
>   If swaped:
>   Current version is      3.0.1-1.2.1,
>   if you change something 3.0.1-1.2.2.
>   New version upstream    3.0.1-1.3.1
> 
> 
>   If not swaped, your changed version is later than the new version
>   ( or I didn't understand, what you wanted to do ;) )  

Think the case that the upstream releases 3.0.1-1.2.1
In your versioning way,
- current           3.0.1-1.2.1
- update on Fedora  3.0.1-1.2.2
- upstream releated 3.0.1-1.2.1 -> ???
Comment 5 Mamoru TASAKA 2009-12-25 11:05:44 EST
(In reply to comment #4)
> - upstream releated 3.0.1-1.2.1 -> ???  

s|releated|released|
Comment 6 Thomas Spura 2009-12-25 11:24:40 EST
(In reply to comment #4) 
> Think the case that the upstream releases 3.0.1-1.2.1
> In your versioning way,
> - current           3.0.1-1.2.1
> - update on Fedora  3.0.1-1.2.2
> - upstream releated 3.0.1-1.2.1 -> ???  

True...

Thanks for pointing that out.
Comment 7 Fabian Affolter 2010-01-04 08:48:19 EST
(In reply to comment #1)
> Does it make sense to package the client without the server?

Sure because the server is available for other distrbutions.

> Or is it also on the way?

The server will come but I don't want to specify a point in time.

> A few other comments:
> 
> - License is GPLv2+ and not GPLv2 only

I missed that. Thanks will be fixed in the next update.

> - Could you explain your strange release number?

The numbering system that is used by upstream is indeed a bit strange.  For me this looks like a Debian thing.  I will get in touch with upstream.  Maybe they drop some numbers of their release...
Comment 8 Leon Keijser 2010-03-26 17:14:23 EDT
What's the status on this? I would like to see this in Fedora. I have started to package the gtk client myself (no bugzilla review request yet). Would probably be a nice addition as well.
Comment 9 Pavel Lisý 2010-03-31 06:11:01 EDT
I want to help with this. I've seen this packages in ubuntu already. We can start with similar splitting. Can you cooperate on it?
Comment 10 Fabian Affolter 2010-03-31 15:19:09 EDT
This is only the command line client.  There is no more to split.  Leon started with the GTK client.
Comment 11 Leon Keijser 2010-04-01 16:15:53 EDT
FYI: i've created bug 578941 as a review request for the graphical client.
Comment 12 Pavel Alexeev 2010-08-25 10:11:46 EDT
Legend: + - Ok.
- - Error.
+/- - It item acceptable, but I strongly recommend enhancement.
= - N/A.
MUST Items

[+/-] MUST: rpmlint must be run on every package. The output should be posted in the review.

$ rpmlint *.rpm *.spec
x2goclient-cli.src: W: spelling-error %description -l en_US commandline -> command line, command-line, commanding
x2goclient-cli.noarch: W: spelling-error %description -l en_US commandline -> command line, command-line, commanding
x2goclient-cli.noarch: W: no-manual-page-for-binary x2goclient-cli
2 packages and 1 specfiles checked; 0 errors, 3 warnings.

I think command-line may be fixed.

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[-] MUST: The License field in the package spec file must match the actual license.
License should be GPLv2+ instead of GPLv2.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

$ md5sum x2goclient-cli_3.0.1-1.2.tar.gz x2goclient-cli_3.0.1-1.2.tar.gz_RPM
bbe5c4e31cbfac26a3179d8479c3eca4  x2goclient-cli_3.0.1-1.2.tar.gz
bbe5c4e31cbfac26a3179d8479c3eca4  x2goclient-cli_3.0.1-1.2.tar.gz_RPM

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2426053

[=] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[+] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[=] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[=] MUST: Packages must NOT bundle copies of system libraries.
[=] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[=] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[=] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[=] MUST: Header files must be in a -devel package.
[=] MUST: Static libraries must be in a -static package.
[=] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[=] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[=] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
[=] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[=] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[=] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[=] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.
SHOULD Items:

[=] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[=] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2426053

[+] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[=] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[=] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[=] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[=] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.

Additional note:
1) Readme say about nxcomp+nxproxy dependency which is not listed in spec.
Comment 13 Fabian Affolter 2011-01-03 15:50:58 EST
Thanks for the review.
Comment 14 Susi Lehtola 2011-12-16 05:14:11 EST
Ping Fabian..?
Comment 15 Pavel Alexeev 2012-03-18 04:12:46 EDT
Ping?
Fabian, do you plan import package?
Comment 16 Orion Poplawski 2013-05-30 18:07:28 EDT

*** This bug has been marked as a duplicate of bug 969212 ***

Note You need to log in before you can comment on or make changes to this bug.